Page MenuHomeFreeBSD

security/rubygem-haiti-hash: Hash type identifier (CLI tool and library)
ClosedPublic

Authored by salvadore on Apr 22 2022, 6:54 PM.

Details

Summary

Haiti is a CLI tool (and library) to identify hash types (hash type
identifier).

Features:

  • 442+ hash types detected
  • Modern algorithms supported (SHA3, Keccak, Blake2, etc.)
  • Hashcat and John the Ripper references
  • CLI tool & library
  • Hackable

WWW: https://noraj.github.io/haiti/

Test Plan

If you want to test the port, you need the patch from revision https://reviews.freebsd.org/D35031 too: it contains a new port which is a dependency for haiti.

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

security/rubygem-haiti-hash/Makefile
8

Please expand & to and and lib to library, at least. I would've also added tool after CLI for consistenty with the port description.

security/rubygem-haiti-hash/pkg-descr
9

Here as well, & should be spelled out as and as contractions should be avoided in port descriptions.

I have expanded the contractions and also added the word tool as suggested. Thanks. I should have thought that myself based on your reviewing of seclists.

Thank you. I don't think I have any further complaints.

This revision is now accepted and ready to land.Apr 23 2022, 2:08 PM

Thanks for the review, danfe@!

security/rubygem-haiti-hash/pkg-descr
2–3

Personally I might expand a little bit what a "hash type identifier" is instead of just putting the term in parentheses, maybe something like

"...to identify has types, i.e., .... blah .. it ... tries to recognize ... "

But that's just a very minor suggestion, and feel free not to go there.

sunpoet requested changes to this revision.Apr 24 2022, 6:44 PM
sunpoet added a subscriber: sunpoet.
sunpoet added inline comments.
security/rubygem-haiti-hash/Makefile
13–14

RUNTIME DEPENDENCIES (2):
docopt ~> 0.6
paint ~> 2.2

should be converted to

rubygem-docopt>=0.6<1:devel/rubygem-docopt \
rubygem-paint>=2.2<3:devel/rubygem-paint

It helps to avoid breakage when updating those ports.

This revision now requires changes to proceed.Apr 24 2022, 6:44 PM

Fixed dependencies' versions.

As for expanding "hash type identifier" I prefer not to. I think it is self explanatory, especially if someone is searching for a software such as haiti. Actually, I think the parenthesis itself is redundant: I have put it only to stay as close as possible to the description that can be found on the website. If I were to modify that sentence, I would rather remove the parenthesis instead of expanding it.

Fixed dependencies' versions.

Thanks!

This revision is now accepted and ready to land.Apr 28 2022, 12:24 PM
salvadore retitled this revision from security/rubygem-haiti-hash: Add port to security/rubygem-haiti-hash: Hash type identifier (CLI tool and library).May 1 2022, 10:52 AM